package com.gx.obe.management.composite;

import org.eclipse.swt.SWT;
import org.eclipse.swt.core.widgets.ESepator;
import org.eclipse.swt.custom.CLabel;
import org.eclipse.swt.custom.StyledText;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.ColorConstants;
import com.gx.obe.util.utils.LogUtils;
import com.swtdesigner.SWTResourceManager;

/**
 * @Description: 
 * @author guoyr
 */
public class TenderProjectdDetailComposite extends Composite {

	{
		LogUtils.logClass(TenderProjectdDetailComposite.class);
	}
	
	/**
	 * Create the composite.
	 * @param parent
	 * @param style
	 */
	public TenderProjectdDetailComposite(Composite parent, int style) {
		super(parent, style);
		setLayout(new GridLayout(1, false));
		
		CLabel lblgxtx = new CLabel(this, SWT.NONE);
		lblgxtx.setFont(SWTResourceManager.getFont("宋体", 15, SWT.BOLD));
		lblgxtx.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, true, false, 1, 1));
		lblgxtx.setText("[GXTX-1255025]2020年国家基础航空摄影项目（三期）");
		
		CLabel lblgxtxpack = new CLabel(this, SWT.NONE);
		lblgxtxpack.setFont(SWTResourceManager.getFont("宋体", 13, SWT.BOLD));
		lblgxtxpack.setLayoutData(new GridData(SWT.CENTER, SWT.CENTER, false, false, 1, 1));
		lblgxtxpack.setText("[GX-TX-pack1]分包一");
		
		ESepator label = new ESepator(this, SWT.SEPARATOR | SWT.HORIZONTAL);
		label.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false, 1, 1));
		label.setBackground(ColorConstants.SEP_LIGHT_COLOR);
		Composite composite = new Composite(this, SWT.NONE);
		composite.setLayout(new GridLayout(1, false));
		composite.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
		
		CLabel label_1 = new CLabel(composite, SWT.NONE);
		label_1.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false, 1, 1));
		label_1.setText("招标内容：");
		
		StyledText styledText = new StyledText(composite, SWT.READ_ONLY | SWT.WRAP);
		styledText.setIndent(35);
		styledText.setWrapIndent(2);
		styledText.setFont(SWTResourceManager.getFont("宋体", 12, SWT.NORMAL));
		styledText.setText("采用CRM理念，加强市场营销体系的建设。适应管理软件行业化演变的发展趋势，扎根于电力行业，专注于应用领域，在电力行业市场进行深耕细作。巩固传统市场份额，同时加强对传统市场的深度挖掘，做好市场需求的引导。采取市场＋技术或市场互补等战略联盟的形式，面向全国电力市场寻求发展。加大其它行业市场的开拓力度，巩固和扩大增值代理业务。\r\n（二）生产管理\r\n2005年以来，继远软件一直与微软公司合作接受其管理和技术咨询。公司重组升格后，生产技术管理机制发生了很大的变化。\r\n1. 建立强矩阵式管理架构。跨部门成立项目组，整合研发、集成、服务资源，实现无缝衔接。实行项目经理负责制，加强项目考核，强化项目经理对进度、质量和成本等的管理。\r\n2. 打造学习型企业。关注员工职业发展，建立合理有序的进阶体系和制度。组建专业研究和学习小组，员工根据进阶的要求，进入不同的小组进行培训和学习，提高技能水平。\r\n");
		GridData gd_styledText = new GridData(SWT.FILL, SWT.FILL, true, true, 1, 1);
		gd_styledText.heightHint = 220;
		styledText.setLayoutData(gd_styledText);

	}

	@Override
	protected void checkSubclass() {
		// Disable the check that prevents subclassing of SWT components
	}

}
